/*

  WebSan JS Portal Main CSS File
  Version: 1.0.0
  definitions of variable colors:
  --portalThemeColor1: Brand Main Color, 1st color on Design Studio - used for header and Tile Background
  --portalThemeColor2: Background Color, 5th color on Design Studio - used for page background
  --portalThemeColor4: Brand Secondary Color, 2nd color on Design Studio - used for buttons, hovers
  --portalThemeColor6: Footer Background Color, 8th color on Design Studio - used for page background
  --portalThemeColor8: Font Color, 9th color on Design Studio - used for most of the font colors
  --portalThemeColor9: Border Colors,  - used for borders
  --portalThemeColor10: Form Background Color, 10th color on Design Studio - used for form backgrounds, tile backgrounds
*/
/* General CSS */
.btn:disabled{
	color: black !important;
    pointer-events: none !important;
    background-color: lightgray !important;
    border-color: lightgray !important;
    opacity: var(--bs-btn-disabled-opacity) !important;
}
.pagination>.active>a,
.pagination>.active>a:hover,
.pagination>.active>a:focus,
.pagination>.active>span,
.pagination>.active>span:hover,
.pagination>.active>span:focus {
	border-color: transparent;
	border-radius: 30%;
	border: 0px;
	background-color: var(--portalThemeColor1) !important;
	color: var(--portalThemeColor8) !important;
}
.pagination>.disabled>a {
	background-color: transparent !important;
	color: gray !important;
}
.page-link,
.page-link:hover {
	background-color: transparent !important;
	color: var(--portalThemeColor8) !important;
}
.modal-body{
	background-color: white !important;

}
.modal-header, .modal-footer{
	background-color: var(--portalThemeColor1);
}
/* End of General CSS*/

/* Tile Display CSS */
.wsi_tile{
    transition: all 0.3s ease;
	/*
    height: 222px;
    width: 223px;
	*/
	max-width: 200px;
    max-height: 200px;
    margin: 9px;
    border-radius: 10px;
    overflow: hidden;
    background: var(--portalThemeColor1);
	box-shadow: 0 10px 10px 0px rgba(0, 0, 0, 0.5);
}
.wsi_tile-icon{
	width: 30%; 
	height: 30%; 
	margin: 0.5px;
	padding-left: 10%;
    padding-top: 10%;
}
.wsi-tile-href{
	text-align: center;
	padding: 10px 5px;
}
.wsi_tile-topbar{
    text-align: inherit;
	padding: inherit;
    font-size: 45px;
	color: var(--portalThemeColor8);
}
.wsi_tile-content{
    text-align: inherit;
	padding: inherit;
	font-size: 12px;
	color: var(--portalThemeColor8);
    background: var(--portalThemeColor1);
}
.wsi-tile-href:hover {
	text-decoration: none !important;
	transform: scale(1.05);
	/* box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); */
}
.wsi-tile-href:hover .wsi_tile-topbar, .wsi-tile-href:hover .wsi_tile-content{
	color: var(--portalThemeColor5);
}
/* End of Tile Display CSS */

/* Start of Homepage Case tile CSS */
.wsi-homepage-tileholder{
	display: flex;
	align-items: flex-start;
	padding: 0px;
	margin: 0px;
}
.wsi-case-tile{
	background: var(--portalThemeColor1);
	padding: 5px;
    margin: 14px 0px;
    border-radius: 10px;
	box-shadow: -1px 1px 1px 1px var(--portalThemeColor9);
}
.wsi-case-tile a:hover, .wsi-case-tile a:active{
	color: var(--portalThemeColor5);
}
.wsi-case-topbar .title{
	font-weight: bold;
}
.wsi-homepage-casetilecontainer{
	width: 60%;
	padding: 25px;
    margin-top: 50px;
    margin-left: 10px;
    border-radius: 10px;
    background: var(--portalThemeColor1);
	box-shadow: 0 10px 10px 0px rgba(0, 0, 0, 0.5);
}
.wsi-homepage-casetilecontainer-cardheader{
	display: flex;
    justify-content: space-between;
    align-items: center;
	padding: 0px;
    margin: 0px;
}
.wsi-homepage-casetilecontainer-cardheader .wsi-homepage-casetilecontainer-headerText{
	font-weight: bold;
}
.wsi-homepage-casetilecontainer-cardheader .wsi-homepage-casetilecontainer-navtext{
	text-decoration: none;
}
.wsi-homepage-pendingcasetilecontainer{
	width: 35%;
	padding: 5px 25px;
    margin-top: 50px;
    margin-left: 10px;
    border-radius: 10px;
    background: var(--portalThemeColor1);
	box-shadow: 0 10px 10px 0px rgba(0, 0, 0, 0.5);
}
.wsi-homepage-pendingcasetilecontainer-cardheader{
	display: flex;
    justify-content: space-between;
    align-items: center;
	padding: 0px;
    margin: 0px;
}
.wsi-homepage-pendingcasetilecontainer-cardheader .wsi-homepage-pendingcasetilecontainer-headerText{
	font-weight: bold;
}
.wsi-homepage-pendingcasetilecontainer-cardheader .wsi-homepage-pendingcasetilecontainer-navtext{
	text-decoration: none;
}
/* End of Homepage Case tile CSS */

/* Sign In form */

.invitationpage, .signinpage {
	background: var(--portalThemeColor1);
	padding: 20px 0px;
}
.signinpage .nav-tabs .nav-link.active{
    background-color: var(--portalThemeColor1);
    border-color: var(--portalThemeColor2);
}
.signinpage .nav-tabs .nav-link:hover{
    background-color: darken(var(--portalThemeColor1), 30%);
    border-color: darken(var(--portalThemeColor2), 30%);
}
#content-container.signinpage .page-content.row .row{
	padding: 10px 5px;
}

#content-container.signinpage .page-content.row .row .col-md-6 {
	-ms-flex: 0 0 100%;
	flex: 0 0 100%;
	max-width: 100%;
}

#content-container.signinpage .page-content.row .row .col-md-6:first-child {
	margin-bottom: 40px;
	order: 2;
}

#content-container.signinpage .page-content.row .row .col-md-6:last-child {
	text-align: center;
}

#content-container.signinpage .page-content.row .row .col-md-6 .login-heading-section {
	display: block;
	text-align: left;
}
#content-container .page-content{
	margin-top: 0px !important;
	padding: 10px;
}
.nav-account{
	margin-top: 0px;
}
/* Navbar CSS */
.navbar-dark .navbar-nav .weblink>a{
	transition: none !important;
}
.navbar-dark .navbar-nav .weblink>a:hover,
.navbar-dark .navbar-nav .weblink>a:hover, 
.navbar-dark .navbar-nav .weblink>a:active, 
.navbar-dark .navbar-nav .weblink>a:focus,
.navbar-dark .navbar-nav .weblink>a:focus-visible {
	text-decoration: none !important;
	/* background-color: var(--portalThemeColor4) !important; */
	color: var(--portalThemeColor5) !important;
    border: 1px solid transparent !important;
    border-radius: 20px;
}

.navbar-dark .navbar-nav .show.dropdown-menu>li>a:hover,
.navbar-dark .navbar-nav .show.dropdown-menu>li>a:active {
	background-color: var(--portalThemeColor1) !important;
	color: var(--portalThemeColor5) !important;
	text-decoration: none !important;
}

/* End of Navbar CSS */


/* Start of Navbar Profile CSS */
.wsi-profile-vertical{
	height: 42px !important;
}
.wsi-profile-dropdown::after{
	margin-left: 4.255em !important;
	height: 12px;
}
.wsi-header-accountsla{
	font-size: small;
}
/* End of Navbar Profile CSS */


/* General CSS for lists */

/* Entity List Options CSS */
.wsi-list .nav>li>a:hover,
.wsi-list .nav>li>a:focus,
.wsi-list .nav>li>a:active {
	background-color: var(--portalThemeColor4) !important;
	color: var(--portalThemeColor8) !important;
	text-decoration: none !important;
	border-radius: 15px;    
	border-color: transparent !important;
    outline: none;
	padding: 10px;
}

.wsi-list .nav .show.dropdown-menu>li>a:hover,
.wsi-list .nav .show.dropdown-menu>li>a:focus,
.wsi-list .nav .show.dropdown-menu>.active>a {
	background-color: var(--portalThemeColor4) !important;
	color: var(--portalThemeColor8) !important;
	text-decoration: none !important;
	border-color: transparent;
	outline: none;
}

.wsi-list .view-toolbar .toolbar-actions .action,
.wsi-list .view-toolbar .toolbar-actions .action:active,
.wsi-list .view-toolbar .toolbar-actions .action:hover,
.wsi-list .view-toolbar .toolbar-actions .action:focus,
.btn-entitylist-filter-submit,
.btn-entitylist-filter-submit:active,
.btn-entitylist-filter-submit:hover,
.btn-entitylist-filter-submit:focus {
	background-color: var(--portalThemeColor4) !important;
	color: var(--portalThemeColor8) !important;
	border: 0px;
}

.entitylist-filter>.card-body{
	background-color: var(--portalThemeColor1);
    color: var(--portalThemeColor8);
    padding: 14px;
	padding-bottom: 45px;
}
.entitylist-filter .list-inline-item{
	background-color: var(--portalThemeColor4);
    padding: 10px;
    border: 1px solid;
    border-radius: 15px;
}
.entitylist-filter .list-inline-item .h4{
	font-weight: 500;
    font-size: 15px;
}
.entitylist-filter-option label{
    font-size: 10px;
}
.card.entitylist-filter{
	margin-bottom: 0px;
}
/* End of Entity List Options CSS */

/* Entity List CSS */
.wrapper-body{
	min-height: 80vh;
}
.wsi-list .view-toolbar {
	padding-top: 20px;
	padding-bottom: 10px;
	padding-right: 10px;
	background: var(--portalThemeColor1);
	margin: 0px;
}

.wsi-list .view-grid {
	background: var(--portalThemeColor1);
	height: 80vh;
	overflow: auto;
	position: relative;
}

.wsi-list-table {
	width: 100%;
	border-collapse: separate;
    border-spacing: 0;
}

.wsi-list-table thead {
	background-color: var(--portalThemeColor1);
	border: 1px solid rgba(255, 255, 255, 0.1);
	position: sticky;
	top: 0;
	z-index: 1;
}

/* main table body styling */
.wsi-list-table thead th {
	padding: 20px 15px;
}

.wsi-list-table tbody {
	overflow-x: auto;
	margin-top: 0px;
	border: 1px solid rgba(255, 255, 255, 0.1);
}

.wsi-list-table tbody tr {
	border-bottom: solid 2px var(--portalThemeColor2);
	background: var(--portalThemeColor10);
}


.wsi-list-table tbody td {
	padding: 15px;
	vertical-align: middle;
	color: var(--portalThemeColor8);

	/* for rounded borders */
	border-bottom: solid 1px var(--portalThemeColor9);
	border-top: solid 1px var(--portalThemeColor9);

	/* for texts */
	text-align: left;
	font-weight: 300;
	font-size: 12px;
	text-decoration: none;
}

/* for rounded borders */
.wsi-list-table thead tr th:first-child { 
	border-top-left-radius: 15px;
	border-bottom-left-radius: 15px;
}	
.wsi-list-table thead tr th:last-child { 
	border-top-right-radius: 15px; 
	border-bottom-right-radius: 15px;
}	

.wsi-list-table tbody tr td:first-child { 
	border-top-left-radius: 20px;
	border-bottom-left-radius: 20px;
	border-left: solid 1px var(--portalThemeColor9);
}	
.wsi-list-table tbody tr td:last-child { 
	border-top-right-radius: 20px; 
	border-bottom-right-radius: 20px; 
	border-right: solid 1px var(--portalThemeColor9);
}	

.wsi-list-table tbody tr:hover td:first-child { 
	border-top-left-radius: 10px;
	border-bottom-left-radius: 10px;
	border-left: solid 1px var(--portalThemeColor9);
	background: var(--portalThemeColor4);
}	
.wsi-list-table tbody tr:hover td:last-child { 
	border-top-right-radius: 10px; 
	border-bottom-right-radius: 10px; 
	border-right: solid 1px var(--portalThemeColor9);
	background: var(--portalThemeColor4);
}	
.wsi-list-table tbody tr:hover td {
	border-bottom: solid 1px var(--portalThemeColor9);
	border-top: solid 1px var(--portalThemeColor9);
	background: var(--portalThemeColor4);
}
/*end of for rounded borders */

/* All Texts inside table css*/
.wsi-list-table thead th a,
.wsi-list-table thead th a:hover {
	text-align: left;
	font-weight: 500;
	font-size: 15px;
	color: var(--portalThemeColor8);
	text-decoration: none;
}

.wsi-list-table tbody td a {
	text-align: left;
	font-weight: 300;
	font-size: 12px;
	text-decoration: none;
}

.wsi-list-table tbody td a:hover {
	color: var(--portalThemeColor8);
}

.wsi-list-table .dropdown-menu a .wsi-list-table .dropdown-menu a:active,
.wsi-list-table .dropdown-menu a:hover,
.wsi-list-table .dropdown-menu a:focus {
	text-decoration: none !important;
	color: var(--portalThemeColor5)
}

.wsi-list .view-pagination {
	background: var(--portalThemeColor10);
	text-align: center;
}

.wsi-list .view-pagination ul {
	display: inline-flex;
	margin: 0;
	padding: 0;
}
.wsi-list .button2, .btn-secondary, .btn-default{
	border-color: transparent !important;
}

/* End of Entity List Table Css*/

/* Entity List, pagination css */

.wsi-list .pagination>.active>a,
.wsi-list .pagination>.active>a:hover,
.wsi-list .pagination>.active>a:focus,
.wsi-list .pagination>.active>span,
.wsi-list .pagination>.active>span:hover,
.wsi-list .pagination>.active>span:focus {
	border-color: transparent;
	border-radius: 30%;
	border: 0px;
	background-color: var(--portalThemeColor4) !important;
	color: var(--portalThemeColor8) !important;
	box-shadow: none;
}

.wsi-list .pagination>.disabled>a {
	background-color: transparent !important;
	color: gray !important;
}

.wsi-list .page-link,
.wsi-list .page-link:hover {
	background-color: transparent !important;
	color: var(--portalThemeColor8) !important;
}

/* End of entity List Pagination CSS */
.entity-grid .message{
	padding: 10px !important;
	position: absolute;
	top: 45%;
	padding-left: 32% !important;
}
/* Entity List blank state css */


/* End of blank list css */

/* End of entity List CSS */

/* Start of Web Template for email CSS */
.emailSectionContainer{
	background-color: var(--portalThemeColor10);
}
.emailFormList .emailSectionContainer {
	border: 3px;
	padding: 20px;
	display: flex;
}

.emailFormList .emailTableContainer {
	overflow-y: scroll;
	overflow-x: hidden;
	height: 300px;
	max-width: 30%;
	flex: 1;
}

.emailFormList .emailRecordRow {    
	background: var(--portalThemeColor4);
    border: solid, 0.3px, var(--portalThemeColor10);
	border-radius: 15px;
    padding: 10px;
	display: inline-block;
	width: -webkit-fill-available;
}

.emailFormList .emailRecordRowDetail {
	display: block;
	font-size: 60%;
}

.emailFormList .emailFrameContainer {
	height: 300px;
	max-width: 70%;
	flex: 1;
	overflow: auto;
}

.emailFormList .emailFrame {
	flex: 1;
	width: -webkit-fill-available;
	height: -webkit-fill-available;
	margin: 20px;
	border: solid 1px var(--portalThemeColor2);
}
.emailFrameContainer .emailRecepientsContainer{
	margin: 0px 10px;

}
.emailFrameContainer .email-form-fieldLabels{
	font-size: 14px;
}
.emailFrameContainer .email-form-headerFields{
	font-size: 16px;
}
.email-form-fields {
    padding: 0px;
    margin: 0px;
}

/* End of email web template css*/

/* header and footer */
.static-top.navbar-dark {    
	padding-top: 0px !important;
	padding-bottom: 0px !important;
    min-height: 10vh !important;
}
.footer-bottom{
	padding-top: 0px !important;
	padding-bottom: 0px !important;
	min-height: 10vh !important;
	box-shadow: 0px -3px 5px rgba(57, 63, 72, 0.3);
}
.footer-bottom p {
	color: black !important;
	font-size: 11px !important;
}
/* end of header and footer css */

/* Start of Entity Form CSS */

/* Form CSS */
.crmEntityFormView {
    background-color: var(--portalThemeColor10) !important;
}
.wsi_form .entity-form {
    background: white;
    padding: 0 20px;
}
.crmEntityFormView label {
    font-size: 8px;
	background-color: var(--portalThemeColor10) !important;
}
.crmEntityFormView span, .text, .picklist, .input-text-box, .text-primary {
    font-size: 11px;
	background-color: var(--portalThemeColor10) !important;
}

/* Form label CSS */
.crmEntityFormView h2, .crmEntityFormView h3 {
    font-size: 100% !important;
    text-align: center !important;
}
.crmEntityFormView .section-title {
    background-color: var(--portalThemeColor1) !important;
    margin-top: 0px !important;
    padding: 2px;
	display: none;
	justify-content: space-between;
}

.wsi-form-custom-subheader{
	font-size: 80% !important;
	text-align: right !important;
	padding-right: 10px !important;
}
.wsi-form-header-label{
	background-color: var(--portalThemeColor1) !important;
    margin-top: 0px !important;
    margin-bottom: 0px !important;
    text-align: center;
    padding: 10px;
	display: flex;
	justify-content: space-between;
}
.wsi-form-custom-header {
    font-size: 18px !important;
    text-align: left !important;
	padding-left: 20px !important;
}
/* Form fields CSS */
input.form-control, select.form-select {
    background-color: var(--portalThemeColor1) !important;
    color: #000000;
}
.crmEntityFormView .state, .crmEntityFormView .status {
    padding: 0px !important;
}
.form-action-container-right{
	padding-right: 10px !important;
}

/* Form Modal CSS */
.crmEntityFormView .cell{
	padding: 5px !important;
}
/* End of Form Modal CSS*/


/* end of Entity Form CSS */

/* Special Classes */
.wsi-hidden {
	display: none !important;
}
.wsi-header-active{
	background-color: var(--portalThemeColor1);
	color: var(--portalThemeColor5) !important;
    border: 1px solid transparent !important;
    border-radius: 15px;
}

/* Special texts */
.wsi-greeting-container{
	padding-left: 14px;
    padding-bottom: 30px;
}
.wsi-greeting-headerText{
    font-weight: bold;
}
.wsi-greeting-body{
	font-weight: normal;
}
/* End of Special Classes */
